## part 1: new lib
vlib work
vmap work work

## part 2: load design
vlog -novopt -incr -work work "../../tb/prim_sim.v"
vlog -novopt -incr -work work "../../tb/tb_mod.v"
vlog -novopt -incr -work work "../../project/src/sdm/sdm.vo"
vlog -novopt -incr -work work "../../project/src/sdm_exp.v"
vlog -novopt -incr -work work "../../project/src/gowin_rpll/gowin_rpll_100.v"
vlog -novopt -incr -work work "../../project/src/gowin_rpll/gowin_rpll_20.v"

## part 3: sim design
vsim -novopt work.tb_mod

## part 4: add signals
add wave /tb_mod/SYM_CLK
add wave /tb_mod/KEY1
add wave /tb_mod/sdm_exp/clk
add wave /tb_mod/sdm_exp/pdm_clk
add wave /tb_mod/sdm_exp/lock_100
add wave /tb_mod/sdm_exp/lock_20

add wave /tb_mod/sdm_exp/inpvalid
add wave /tb_mod/sdm_exp/in_pcm_data 
add wave /tb_mod/PDM_CLK
add wave /tb_mod/dout

## part 5: show ui 
view wave
view structure
view signals

## part 6: run 
run 800us

